org.apache.ignite.internal.processors.authentication

## Class UserAuthenticateRequestMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.authentication.UserAuthenticateRequestMessage

All Implemented Interfaces:
  Serializable, Message

    public class UserAuthenticateRequestMessage
    extends Object
    implements Message

Message is sent from client to coordinator node when a user needs to authorize on client node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UserAuthenticateRequestMessage()`
`UserAuthenticateRequestMessage(String name, String passwd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `id()`
`String` `name()`
`void` `onAckReceived()` Method called when ack message received.
`String` `password()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserAuthenticateRequestMessage

    public UserAuthenticateRequestMessage()

#### UserAuthenticateRequestMessage

    public UserAuthenticateRequestMessage(String name,
                                          String passwd)

Parameters:
  `name` - User name.
  `passwd` - User password.

### Method Detail

#### name

    public String name()

Returns:
  User name.

#### password

    public String password()

Returns:
  User password.

#### id

    public IgniteUuid id()

Returns:
  Request ID.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018